Page 1 of 1

Error message help

Posted: Wed May 15, 2019 3:16 pm
by Trekky
Hi everyone,
It has been a while since I have been on here and needed help but I got a message from someone who discovered my forum had gone skewy.

The web address is www.ukpouchies.co.uk
I can't remember what version is running but know it was updated in last 2 years (life has been hectic and forum hasn't been a priority)

However the image below will hopefully demonstrate what's happening...
Screenshot_20190515-110856_Samsung Internet.jpg
At this stage I don't even know how to get onto the forum to fix this.

Any advice would be welcomed

Re: Error message help

Posted: Wed May 15, 2019 3:20 pm
by Brf
Make sure you are specifying "mysqli", not "mysql" in your config.php

Re: Error message help

Posted: Wed May 15, 2019 3:28 pm
by Trekky
Brf wrote:
Wed May 15, 2019 3:20 pm
Make sure you are specifying "mysqli", not "mysql" in your config.php
I will have to check later when I have access to my laptop.
I am not sure how this has happened as it was working fine a few weeks ago when I looked in on it.

Re: Error message help

Posted: Wed May 15, 2019 3:34 pm
by Brf
Your host might have upgraded their PHP version. The newer versions do not support the older "mysql" plugin.

Re: Error message help

Posted: Wed May 15, 2019 3:38 pm
by Trekky
Brf wrote:
Wed May 15, 2019 3:34 pm
Your host might have upgraded their PHP version. The newer versions do not support the older "mysql" plugin.
Ahh so does this mean I have lost the forum?

Code: Select all

<?php
// phpBB 3.0.x auto-generated configuration file
// Do not change anything in this file!
$dbms = 'mysql';
$dbhost = 'localhost';
$dbport = '';
$dbname = 'ukpouchies_co_u';
$dbuser = '***';
$dbpasswd = '***';
$table_prefix = 'phpbb_';
$acm_type = 'file';
$load_extensions = '';

@define('PHPBB_INSTALLED', true);
// @define('DEBUG', true);
// @define('DEBUG_EXTRA', true);
?>
This is the code from my config.php file is it this I change to 'mysqli'?

Re: Error message help

Posted: Wed May 15, 2019 4:09 pm
by Lumpy Burgertushie
no, you have not lost the board. the config.php file just can't connect to the database because of the out of date mysql in that file.,

change where it says mysql to mysqli

save, upload back to the server.
may have to refresh your browser and may have to purge the cache via the ftp if the board does not come back.

robert

Re: Error message help

Posted: Wed May 15, 2019 9:25 pm
by Trekky
Lumpy Burgertushie wrote:
Wed May 15, 2019 4:09 pm
no, you have not lost the board. the config.php file just can't connect to the database because of the out of date mysql in that file.,

change where it says mysql to mysqli

save, upload back to the server.
may have to refresh your browser and may have to purge the cache via the ftp if the board does not come back.

robert
Fantastic! Thank you for this advice. I have the board back but there are some error messages at the top and when i login the board is replaced by a screen full of error message. I don't understand or know what is required to fix?
20190515_172439.jpg
Screenshot_20190515-172817_Samsung Internet.jpg

Re: Error message help

Posted: Wed May 15, 2019 9:43 pm
by </Solidjeuh>
That is an error from phpBB 3.2.0, and I see that you are using phpbb_version = 3.2.0. So updating your forum will fix that error.

Re: Error message help

Posted: Wed May 15, 2019 9:46 pm
by Trekky
</Solidjeuh> wrote:
Wed May 15, 2019 9:43 pm
That is an error from phpBB 3.2.0, and I see that you are using phpbb_version = 3.2.0. So updating your forum will fix that error.
Ok I will get on this. Do I need to access the forum to update it? I ask as I still can't get to my admin panel

Re: Error message help

Posted: Wed May 15, 2019 9:50 pm
by </Solidjeuh>
Trekky wrote:
Wed May 15, 2019 9:46 pm
</Solidjeuh> wrote:
Wed May 15, 2019 9:43 pm
That is an error from phpBB 3.2.0, and I see that you are using phpbb_version = 3.2.0. So updating your forum will fix that error.
Ok I will get on this. Do I need to access the forum to update it? I ask as I still can't get to my admin panel
Are you logged in with your founder account? Then that's not a problem. When updating you just need to visit http://ukpouchies.co.uk/forum/install/app.php/install. Normally you should be able to enter ACP after that. If not, clear the forum cache via FTP (Delete the production folder in /cache

Re: Error message help

Posted: Thu May 16, 2019 1:36 pm
by P_I
Trekky wrote:
Wed May 15, 2019 9:46 pm
</Solidjeuh> wrote:
Wed May 15, 2019 9:43 pm
That is an error from phpBB 3.2.0, and I see that you are using phpbb_version = 3.2.0. So updating your forum will fix that error.
Ok I will get on this. Do I need to access the forum to update it? I ask as I still can't get to my admin panel
You just need to follow Knowledge Base - Updating 3.2.x to update your forum.